#pragma once

#include <alib/string>

namespace automaton {

/**
 * Represent movement of the reading head in the Turing machine.
 */
enum class Shift {
	LEFT, RIGHT, NONE
};

std::string shiftToString ( automaton::Shift shift );
automaton::Shift shiftFromString ( std::string shift );

std::ostream& operator<<(std::ostream& out, const automaton::Shift&);

} /* namespace automaton */

